> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How can I create a debit payment to the beneficiary?

1. If you have no beneficiary, execute
   [`POST /v2/beneficiary`](/api-reference/endpoint/post-v2-beneficiary) with all required data in request body

2. If you already have a beneficiary, execute
   [`POST /v3/payment`](/api-reference/endpoint/post-v3-payment) with the following parameters in the request body, where walletId: debit wallet uuid, beneficiaryId: uuid of your created beneficiary.

```json theme={null}
{
  "status": "new", 
  "walletId": "550e8400-e29b-41d4-a716-446655440000", 
  "amount": 0, 
  "beneficiaryId": "7f9c2a1b-6d4e-4f3a-9b8c-123456789abc", 
  "reference": "string", 
  "signToken": ""
}
```
